@charset "UTF-8";
@import url('https://fonts.googleapis.com/css?family=Work+Sans:300,400,600');


::-webkit-scrollbar {
  width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: #044a8c;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #3e00a3;
}

/*  
* {
     border: 1px solid black;
}
  */
:root {
  /* ===== Colors ===== */
  --ff-primary: 'Poppins', sans-serif;
  --ff-secondary: 'Myriad Pro Bold';

}

a {
  text-decoration: none;
  color: #000;
}

::selection {
  background: var(--clr-primary);
  color: #fff;
}

::-moz-selection {
  /* Code for Firefox */
  background: var(--clr-primary);
  color: #fff;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  overflow-x: hidden;
}

body {
  margin: 0;
  font-family: 'Work Sans', sans-serif;

  overflow-x: hidden;


}

input {
  font-family: 'Work Sans', sans-serif !important;
}

#btn {
  display: none;
}



.btn-transition {
  transition: 5s ease !important;
}

/* =============== Nav ================== */
.header-class {
  /* background: #00000089; */
  background-color: transparent;
  text-align: center;
  position: fixed;
  z-index: 999;
  width: 100%;
  background-color: #ffffff;
  box-shadow: 0 2px 2px #d9d9d9;
}

.nav-toggle {
  position: absolute !important;
  top: -9999px !important;
  left: -9999px !important;

}

.nav-toggle:focus~.nav-toggle-label {
  outline: 3px solid rgba(173, 216, 230, 0.75);
}

.nav-toggle-label {
  position: absolute;
  top: 0;
  left: 0;
  margin-left: 1em;
  height: 100%;
  display: flex;
  align-items: center;
  cursor: pointer;
}

.nav-toggle-label span,
.nav-toggle-label span::before,
.nav-toggle-label span::after {
  display: block;
  background: rgb(0, 0, 0);
  height: 2px;
  width: 2em;
  border-radius: 2px;
  position: relative;
}

.nav-toggle-label span::before,
.nav-toggle-label span::after {
  content: '';
  position: absolute;
}

.nav-toggle-label span::before {
  bottom: 7px;
}

.nav-toggle-label span::after {
  top: 7px;
}

nav {
  position: absolute;
  text-align: center;
  top: 100%;
  left: 0;
  padding-top: 1rem;
  background: rgb(221, 221, 221);
  width: 100%;
  transform: scale(1, 0);
  transform-origin: top;
  transition: transform 400ms ease-in-out;
}

.logo img {
  width: 100%;
  max-width: 150px;
  height: 100%;
  max-height: 100px;
  cursor: pointer;
}

nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

nav li {
  margin-bottom: 1em;
  margin-left: 1em;
}


nav a {
  color: rgb(0, 0, 0);
  text-decoration: none;
  font-size: 1rem;
  font-weight: 800;
  text-transform: uppercase;
  opacity: 0;
  transition: opacity 150ms ease-in-out;
}

.nav-toggle:checked~nav {
  transform: scale(1, 1);
}

.nav-toggle:checked~nav a {
  opacity: 1;
  transition: opacity 250ms ease-in-out 250ms;
}

/* =============== End of Nav ================== */
/*  Responsive Styles  */


@media screen and (min-width: 800px) {
  .nav-toggle-label {
    display: none;
  }

  .header-class {
    display: grid;
    grid-template-columns: 1fr auto minmax(600px, 3fr) 1fr;
  }

  .logo {
    grid-column: 2/3;
  }

  nav {
    /* all: unset; <=  problème dans Edge qui ne supporte pas */
    /* les lignes qui suivent sont supportées par Edge */
    position: relative;
    text-align: left;
    transition: none;
    transform: scale(1, 1);
    background: none;
    top: initial;
    left: initial;
    /* fin du Edge support */
    grid-column: 3/4;
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }

  nav ul {
    display: flex;
  }

  nav li {
    margin-left: 1em;
    margin-bottom: 0;
  }

  nav a {
    opacity: 1;
    position: relative;
  }

  nav a::before {
    content: '';
    display: block;
    height: 5px;
    background: var(--clr-secondary);
    position: absolute;
    bottom: -0.75em;
    left: 0;
    right: 0;
    transform: scale(0, 1);
    transition: transform ease-in-out 250ms;
  }

  nav a:hover::before {
    transform: scale(1, 1);
  }
}


/*# sourceMappingURL=style.css.map */

.hover-underline-animation-footer {
  display: inline-block;
  position: relative;
  color: #000000;
}

.hover-underline-animation-footer::after {
  content: '';
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: #000000;
  transform-origin: bottom right;
  transition: transform 0.25s ease-out;
}

.hover-underline-animation-footer:hover::after {
  transform: scaleX(1);
  transform-origin: bottom left;
}


.hover-underline-animation {
  display: inline-block;
  position: relative;
  color: #ffffff;
}

.hover-underline-animation::after {
  content: '';
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: #ffffff;
  transform-origin: bottom right;
  transition: transform 0.25s ease-out;
}

.hover-underline-animation:hover::after {
  transform: scaleX(1);
  transform-origin: bottom left;
}


.breadcrum{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background: url('../images/breadcrumb2.png') no-repeat;
  background-size: cover;
  background-position: center center;
  height: 30em;
  margin-top: 5em;
  color: #ffffff;

}

.breadcrum h1{
  font-size: 4em;
}

.breadcrum p{
  font-size: 1.5em;
}
/* =========================== ABOUT SECTION =========================== */


.about-us{
  height: auto;
  margin-top: 5em;
}


.aboutus-container {
  display: flex;
  justify-content: center;
  height: auto;
  gap: 2em;

}

.img-about1 {

  width: 15vw;
}

.img-about2 {


  width: 15vw;
}

.img-about3 {

  width: 15vw;
}

.img-container {
  display: block;
}

.aboutus-img {
  display: flex;
  justify-content: center;
  margin-left: 1em;
  width: 30em;

}

.aboutus-text {
  padding: 1em;
  width: 55em;
}


.aboutus-text p {
  font-size: 1.3em;
  margin: 0;
  padding: .5em;
  text-align: justify;
}


.aboutus-text h2 {

  font-weight: 800;
  padding: 1em;
  font-size: 3rem;
  margin: 0;
  color: #361c98;
}

/* vission mission section */

.vm-section {
  height: auto;
  margin-top: 2em;
  margin-bottom: 4em;

}

.vission-mission-container {
  display: flex;
  justify-content: center;


}

.box-flex {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  width: 80em;
  gap: 2em;
  margin-top: 2em;
}

.vission-box {
  max-width: 35em;
  min-width: 35em;
  height: 17em;
  border-radius: 30px;
  /* background: linear-gradient(90deg, rgba(172, 2, 196, 1) 0%, rgba(126, 37, 172, 1) 52%, rgba(172, 2, 196, 1) 100%); */
  background: url('../images/vision2.png') no-repeat;
  background-size: cover;
  text-align: center;
  color: rgb(255, 255, 255);
  box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
}

.vission-box p {

  padding: 0 2em;
  color: rgb(255, 255, 255);
}

.mission-box {
  max-width: 35em;
  min-width: 35em;
  height: auto;
  border-radius: 30px;
  /* background: linear-gradient(90deg, rgba(0, 141, 252, 1) 0%, rgba(76, 152, 255, 1) 52%, rgba(0, 141, 252, 1) 100%); */
  background: url('../images/mission.png') no-repeat;
  background-size: cover;
  text-align: center;
  color: rgb(255, 255, 255);
  text-shadow: rgb(90, 90, 90) 0 0 5px;
  box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;

}

.mission-box p {
  text-shadow: rgb(90, 90, 90) 0 0 5px;
  padding: 0 2em;
  color: rgb(255, 255, 255);
}



.jumbutron{
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  height: 20em;
  width: 100%;
  background-color: #044a8c;
  color: white;
  text-align: center;
}

.jumbutron h1{
  font-size: 3em;
  margin: 0;
}

/* =========================== FOOTER SECTION =========================== */

footer {}

.footer-container {
  display: flex;

}

.footer-div1 {
  width: 40%;
  background-color: #ffffff;
  padding: 4em;
}

.footer-div2 {
  width: 20%;
  background-color: #ffffff;
  padding: 2em;
}

.footer-div3 {
  width: 30%;
  background-color: #ffffff;
  padding: 2em;
}


.contact {
  position: fixed;
  bottom: 5%;
  right: 3%;
  z-index: 1000;
}

.footer-copyright {
  text-align: center;
  height: 2em;
}

.line1 {
  color: #2861b7;
  background: #2861b7;
  width: 20%;
  height: 1em;
}

.line2 {
  background: #beb101;
}

.footer-a {
  text-decoration: none;
  color: #000000;
}

.btn-jumbutron{
  margin-top: 2em;
}


.button {
  line-height: 1;
  text-decoration: none;
  display: inline-flex;
  align-items: center;
  font-size: 1em;
  gap: .75rem;
  background-color: #ffffff;
  color: #000000;
  font-weight: 600;
  padding: .75rem 1.5rem;
  padding-left: 20px;
  white-space: nowrap;
  border-style: none;
  overflow: hidden;
  text-overflow: ellipsis;
  transition: background-color .3s;
}

.button__icon-wrapper {
  flex-shrink: 0;
  width: 25px;
  height: 25px;
  position: relative;
  color: #000000;
  background-color: #fff;
  border-radius: 50%;
  display: grid;
  place-items: center;
  overflow: hidden;
}

.button:hover {
  background-color: #ffffff;
}

.button:hover .button__icon-wrapper {
  color: #000;
}

.button__icon-svg--copy {
  position: absolute;
  transform: translate(-150%, 150%);
}

.button:hover .button__icon-svg:first-child {
  transition: transform .3s ease-in-out;
  transform: translate(150%, -150%);
}

.button:hover .button__icon-svg--copy {
  transition: transform .3s ease-in-out .1s;
  transform: translate(0);
}